Skip to content
Start here

Add Account Custom Nameserver

custom_nameservers.create(CustomNameserverCreateParams**kwargs) -> CustomNameserver
POST/accounts/{account_id}/custom_ns

Add Account Custom Nameserver

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account Settings Write
ParametersExpand Collapse
account_id: str

Account identifier tag.

maxLength32
ns_name: str

The FQDN of the name server.

formathostname
ns_set: Optional[float]

The number of the set that this name server belongs to.

maximum5
minimum1
ReturnsExpand Collapse
class CustomNameserver:

A single account custom nameserver.

dns_records: List[DNSRecord]

A and AAAA records associated with the nameserver.

type: Optional[Literal["A", "AAAA"]]

DNS record type.

One of the following:
"A"
"AAAA"
value: Optional[str]

DNS record contents (an IPv4 or IPv6 address).

ns_name: str

The FQDN of the name server.

formathostname
Deprecatedstatus: Literal["moved", "pending", "verified"]

Verification status of the nameserver.

One of the following:
"moved"
"pending"
"verified"
zone_tag: str

Identifier.

maxLength32
ns_set: Optional[float]

The number of the set that this name server belongs to.

maximum5
minimum1

Add Account Custom Nameserver

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
custom_nameserver = client.custom_nameservers.create(
    account_id="372e67954025e0ba6aaa6d586b9e0b59",
    ns_name="ns1.example.com",
)
print(custom_nameserver.dns_records)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "dns_records": [
      {
        "type": "A",
        "value": "1.1.1.1"
      }
    ],
    "ns_name": "ns1.example.com",
    "status": "verified",
    "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353",
    "ns_set": 1
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "dns_records": [
      {
        "type": "A",
        "value": "1.1.1.1"
      }
    ],
    "ns_name": "ns1.example.com",
    "status": "verified",
    "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353",
    "ns_set": 1
  }
}